Contabilidad/Contabilidad.Site/Models/ProductPrice/ProductPriceCreateViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Contabilidad.Site.Models.ProductPrice
{
    public class ProductPriceCreateViewModel
    {
        [Display(Name = nameof(Id), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public int Id { get; set; }


        [Display(Name = nameof(SalePrice), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Required(ErrorMessageResourceName = "Required", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public decimal SalePrice { get; set; }


        [Display(Name = nameof(Years), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Range(0,30, ErrorMessageResourceName = "RangeLimit", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int? Years { get; set; }

        [Display(Name = nameof(Months), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Range(0, 12, ErrorMessageResourceName = "RangeLimit", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int? Months { get; set; }

        [Display(Name = nameof(Days), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Range(0, 31, ErrorMessageResourceName = "RangeLimit", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int? Days { get; set; }


        [Display(Name = nameof(IdProduct), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Required(ErrorMessageResourceName = "Required", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int IdProduct { get; set; }


        [Display(Name = nameof(IdCurrency), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Required(ErrorMessageResourceName = "Required", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int IdCurrency { get; set; }


        [Display(Name = nameof(Products), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public IEnumerable<SelectListViewModel> Products { get; set; }


        [Display(Name = nameof(Currencies), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public IEnumerable<SelectListViewModel> Currencies { get; set; }
    }
}

Contabilidad/Contabilidad.Site/Models/ProductPrice/ProductPriceDetailViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Contabilidad.Site.Models.ProductPrice
{
    public class ProductPriceDetailViewModel
    {
        [Display(Name = nameof(Id), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public int Id { get; set; }


        [Display(Name = nameof(SalePrice), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public decimal SalePrice { get; set; }

        [Display(Name = nameof(WarrantyTime), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public string WarrantyTime { get; set; }


        [Display(Name = nameof(Product), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public string Product { get; set; }


        [Display(Name = nameof(Currency), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public string Currency { get; set; }
    }
}

Contabilidad/Contabilidad.Site/Models/ProductPrice/ProductPriceEditViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Contabilidad.Site.Models.ProductPrice
{
    public class ProductPriceEditViewModel
    {
        [Display(Name = nameof(Id), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public int Id { get; set; }


        [Display(Name = nameof(SalePrice), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Required(ErrorMessageResourceName = "Required", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public decimal SalePrice { get; set; }


        [Display(Name = nameof(Years), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Range(0, 30, ErrorMessageResourceName = "RangeLimit", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int? Years { get; set; }

        [Display(Name = nameof(Months), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Range(0, 12, ErrorMessageResourceName = "RangeLimit", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int? Months { get; set; }

        [Display(Name = nameof(Days), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Range(0, 31, ErrorMessageResourceName = "RangeLimit", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int? Days { get; set; }


        [Display(Name = nameof(IdProduct), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Required(ErrorMessageResourceName = "Required", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int IdProduct { get; set; }


        [Display(Name = nameof(IdCurrency), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        [Required(ErrorMessageResourceName = "Required", ErrorMessageResourceType = typeof(Resources.CommonResources))]
        public int IdCurrency { get; set; }


        [Display(Name = nameof(Products), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public IEnumerable<SelectListViewModel> Products { get; set; }


        [Display(Name = nameof(Currencies), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public IEnumerable<SelectListViewModel> Currencies { get; set; }
    }
}

Contabilidad/Contabilidad.Site/Models/ProductPrice/ProductPriceListViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Contabilidad.Site.Models.ProductPrice
{
    public class ProductPriceListViewModel
    {
        [Display(Name = nameof(Id), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public int Id { get; set; }


        [Display(Name = nameof(SalePrice), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public decimal SalePrice { get; set; }


        [Display(Name = nameof(WarrantyTime), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public string WarrantyTime { get; set; }


        [Display(Name = nameof(Product), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public string Product { get; set; }


        [Display(Name = nameof(Currency), ResourceType = typeof(Resources.Models.Accounting.ProductPrice.ProductPrice))]
        public string Currency { get; set; }
    }
}

Contabilidad/Contabilidad.Site/Controllers/ProductPriceController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Contabilidad.Core.ProductPrice;
using Contabilidad.Database.Models;
using Contabilidad.Database.Models.Accounting;
using Contabilidad.Database.Repositories;
using Contabilidad.Site.Models;
using Contabilidad.Site.Models.ProductPrice;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace Contabilidad.Site.Controllers
{
    public class ProductPriceController : Controller
    {
        private readonly IProductPriceManager productPriceManager;
        private readonly IRepository<Product> productRepository;
        private readonly IRepository<Currency> currencyRepository;

        public ProductPriceController(
            IProductPriceManager productPriceManager,
            IRepository<Product> productRepository,
            IRepository<Currency> currencyRepository)
        {
            this.productPriceManager = productPriceManager;
            this.productRepository = productRepository;
            this.currencyRepository = currencyRepository;
        }

        public async Task<IActionResult> Index()
        {
            var result = await this.productPriceManager.GetAllWithProductAndCurrencyMoreRecentAsync();

            var model = result.Select(r => new ProductPriceListViewModel
            {
                Id = r.Id,
                Currency = r.Currency.Name,
                Product = r.Product.Name,
                SalePrice = r.SalePrice,
                WarrantyTime = r.WarrantyTime(),
            });

            return this.View(model);
        }

        public async Task<IActionResult> Details(int? idProductPrice)
        {
            if (idProductPrice == null)
            {
                return this.BadRequest();
            }

            var productPrice = await this.productPriceManager.GetByIdAsync(idProductPrice.Value);

            if (productPrice == null)
            {
                return this.BadRequest();
            }

            return this.View(new ProductPriceDetailViewModel
            {
                Id = productPrice.Id,
                Currency = productPrice.Currency.Name,
                Product = productPrice.Product.Name,
                SalePrice = productPrice.SalePrice,
                WarrantyTime = productPrice.WarrantyTime(),
            });
        }

        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return this.BadRequest();
            }

            var productPrice = await this.productPriceManager.GetByIdAsync(id.Value);

            if (productPrice == null)
            {
                return this.BadRequest();
            }

            return this.View(new ProductPriceEditViewModel
            {
                Id = productPrice.Id,
                IdCurrency = productPrice.IdCurrency,
                IdProduct = productPrice.IdProduct,
                Currencies = await this.GetCurrencies(),
                Products = await this.GetProducts(),
                SalePrice = productPrice.SalePrice,
                Years = productPrice.Years,
                Months = productPrice.Months,
                Days = productPrice.Days,
            });
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(ProductPriceEditViewModel productPriceEditViewModel)
        {
            if (!this.ModelState.IsValid)
            {
                productPriceEditViewModel.Products = await this.GetProducts();
                productPriceEditViewModel.Currencies = await this.GetCurrencies();
                return this.View(productPriceEditViewModel);
            }

            var result = await this.productPriceManager.CreateAsync(new ProductPrice
            {
                CreatedDate = DateTime.Now,
                IdCurrency = productPriceEditViewModel.IdCurrency,
                IdProduct = productPriceEditViewModel.IdProduct,
                SalePrice = productPriceEditViewModel.SalePrice,
                Years = productPriceEditViewModel.Years,
                Months = productPriceEditViewModel.Months,
                Days = productPriceEditViewModel.Days,
            });

            if (!result.Succeeded)
            {
                foreach (var validations in result.ValidationMessages)
                {
                    foreach (var item in validations.Value)
                    {
                        this.ModelState.AddModelError(string.Empty, item);
                    }
                }

                productPriceEditViewModel.Products = await this.GetProducts();
                productPriceEditViewModel.Currencies = await this.GetCurrencies();
                return this.View(productPriceEditViewModel);
            }

            return this.RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Delete(int? id)
        {
            if (!id.HasValue)
            {
                return this.BadRequest();
            }

            var productPrice = await this.productPriceManager.GetByIdAsync(id.Value);

            if (productPrice == null)
            {
                return this.BadRequest();
            }

            var result = await this.productPriceManager.DeleteAsync(id.Value);
            var errorMessages = new StringBuilder();
            if (!result.Succeeded)
            {
                foreach (var validations in result.ValidationMessages)
                {
                    foreach (var item in validations.Value)
                    {
                        errorMessages.Append(item);
                    }
                }

                return this.RedirectToAction(nameof(Index), new { errorMessage = errorMessages });
            }

            return this.RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Create()
        {
            var model = new ProductPriceCreateViewModel
            {
                Products = await this.GetProducts(),
                Currencies = await this.GetCurrencies(),
            };

            return this.View(model);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create(ProductPriceCreateViewModel productPriceCreateViewModel)
        {
            if (!this.ModelState.IsValid)
            {
                productPriceCreateViewModel.Products = await this.GetProducts();
                productPriceCreateViewModel.Currencies = await this.GetCurrencies();
                return this.View(productPriceCreateViewModel);
            }

            var result = await this.productPriceManager.CreateAsync(new ProductPrice
            {
                CreatedDate = DateTime.Now,
                IdCurrency = productPriceCreateViewModel.IdCurrency,
                IdProduct = productPriceCreateViewModel.IdProduct,
                SalePrice = productPriceCreateViewModel.SalePrice,
                Years = productPriceCreateViewModel.Years,
                Months = productPriceCreateViewModel.Months,
                Days = productPriceCreateViewModel.Days,
            });

            if (!result.Succeeded)
            {
                foreach (var validations in result.ValidationMessages)
                {
                    foreach (var item in validations.Value)
                    {
                        this.ModelState.AddModelError(string.Empty, item);
                    }
                }

                productPriceCreateViewModel.Products = await this.GetProducts();
                productPriceCreateViewModel.Currencies = await this.GetCurrencies();
                return this.View(productPriceCreateViewModel);
            }

            return this.RedirectToAction(nameof(Index));
        }

        private async Task<IEnumerable<SelectListViewModel>> GetProducts()
        {
            return new List<SelectListViewModel>() {
                new SelectListViewModel
                {
                    Value = Resources.Models.Accounting.ProductPrice.ProductPrice.ProductSelected
                }
            }
            .Union(await this.productRepository.All().Select(b => new SelectListViewModel
            {
                Id = b.Id,
                Value = b.Name,
            }).ToListAsync());
        }

        private async Task<IEnumerable<SelectListViewModel>> GetCurrencies()
        {
            return new List<SelectListViewModel>() {
                new SelectListViewModel
                {
                    Value = Resources.Models.Accounting.ProductPrice.ProductPrice.CurrencySelected
                }
            }
            .Union(await this.currencyRepository.All().Select(b => new SelectListViewModel
            {
                Id = b.Id,
                Value = b.Name,
            }).ToListAsync());
        }
    }
}

Contabilidad/Contabilidad.Site/Views/ProductPrice/Create.cshtml
@model Contabilidad.Site.Models.ProductPrice.ProductPriceCreateViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }
                    <label asp-for="SalePrice">@Html.DisplayNameFor(Model => Model.SalePrice)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input type="number" asp-for="SalePrice" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-5">
                            <li>
                                <span asp-validation-for="SalePrice"></span>
                            </li>
                        </ul>
                    </div>

                    <label>@Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.WarrantyTime</label>
                    <div class="form-group">

                        <div class="form-group col-md-4 col-sm-4">
                            <div class="form-line">
                                <input type="number" asp-for="Years" class="form-control " placeholder="@Html.DisplayNameFor(model => model.Years)" />
                            </div>
                            <ul class="parsley-errors-list filled" id="parsley-id-5">
                                <li>
                                    <span asp-validation-for="Years"></span>
                                </li>
                            </ul>
                        </div>

                        <div class="form-group col-md-4 col-sm-4">
                            <div class="form-line">
                                <input type="number" asp-for="Months" class="form-control" placeholder="@Html.DisplayNameFor(model => model.Months)" />
                            </div>
                            <ul class="parsley-errors-list filled" id="parsley-id-5">
                                <li>
                                    <span asp-validation-for="Months"></span>
                                </li>
                            </ul>
                        </div>

                        <div class="form-group col-md-4 col-sm-4">
                            <div class="form-line">
                                <input asp-for="Days" class="form-control" placeholder="@Html.DisplayNameFor(model => model.Days)" 1 />
                            </div>
                            <ul class="parsley-errors-list filled" id="parsley-id-5">
                                <li>
                                    <span asp-validation-for="Days"></span>
                                </li>
                            </ul>
                        </div>

                    </div>

                    <label asp-for="IdProduct">@Html.DisplayNameFor(Model => Model.IdProduct)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Products)" asp-for="IdProduct" data-live-search="true" asp-items="@(new SelectList(Model.Products,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdProduct"></span>
                            </li>
                        </ul>
                    </div>


                    <label asp-for="IdCurrency">@Html.DisplayNameFor(Model => Model.IdCurrency)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Currencies)" asp-for="IdCurrency" data-live-search="true" asp-items="@(new SelectList(Model.Currencies,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdCurrency"></span>
                            </li>
                        </ul>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.CreateMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

Contabilidad/Contabilidad.Site/Views/ProductPrice/Index.cshtml
@model IEnumerable<Contabilidad.Site.Models.ProductPrice.ProductPriceListViewModel>
@{
    ViewData["Title"] = "Index";
}

<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.TitlePage</h2>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                {
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="body bg-red">
                                <div asp-validation-summary="ModelOnly"></div>
                            </div>
                        </div>
                    </div>
                }
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">

                            <div class="row clearfix">
                                <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                                    <a asp-action="Create" asp-controller="ProductPrice" data-loader="true" class="btn btn-primary">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName</a>
                                </div>
                            </div>

                            <div id="datatable_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap no-footer">

                                <div class="row">
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <table id="datatable" class="table table-striped table-bordered dataTable no-footer" style="width: 100%;" role="grid" aria-describedby="datatable_info">
                                            <thead>
                                                <tr class="headings">
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Product)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Currency)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().SalePrice)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().WarrantyTime)</th>
                                                    <th>@Contabilidad.Resources.CommonResources.Options</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var item in Model)
                                                {
                                                <tr>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Product)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Currency)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.SalePrice)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.WarrantyTime)
                                                    </td>
                                                    <td>
                                                        <a asp-action="Edit" asp-route-id="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.CommonResources.Edit @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                                            <i class="fa fa-edit"></i>
                                                        </a>
                                                        <a href="#confirm_@item.Id" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.CommonResources.Delete @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName" class="btn btn-xs btn-table btn-circle waves-effect waves-red waves-circle" data-toggle="modal" data-target="#confirm_@item.Id">
                                                            <i class="fa fa-trash"></i>
                                                        </a>
                                                        <a asp-action="Details" asp-route-idProductPrice="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.CommonResources.Details @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                                            <i class="fa fa-indent"></i>
                                                        </a>
                                                        <form asp-action="Delete" asp-route-id="@item.Id">
                                                            <div class="modal fade" id="confirm_@item.Id" tabindex="-1" role="dialog">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Delete @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName</h4>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.MessageDelete
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <input type="submit" value="@Contabilidad.Resources.CommonResources.Delete" data-loader="true" class="btn btn-danger waves-effect" />
                                                                            <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </td>
                                                </tr>
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <div class="row">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>